Arduino

Reference Language | Libraries | Comparison | Changes

Bridge : FileIO Class

## flush()

#### Description

flush() clears the buffer once all outgoing characters have been sent.

flush() inherits from the Stream utility class.

This communicates with the Linux distribution through Bridge. While functionally similar to the SD library, the underlying code and connections are different.

#### Syntax

- file.flush()

#### Parameters

- file: an instance of the File class (returned by FileIO.open())

#### Returns

none

#### See also

- close()
- Stream.flush()
  Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

### Share

### This link has expired.
Please re-subscribe to our Newsletters.

### Subscribe to our Newsletters

Email

Please enter a valid email to subscribe

Arduino Newsletter
Arduino Store Newsletter

### Confirm your email address

We need to confirm your email address.
To complete the subscription, please click the link in the email we just sent you.

Thank you for subscribing!

Arduino
via Egeo 16
Torino, 10131
Italy

###### Newsletter

- ©2015 Arduino
- Copyright Notice
- Contact us
- Careers